Macaulay2 » Documentation
Packages » CpMackeyFunctors :: isTrivialMackeyFunctor
next | previous | forward | backward | up | index | toc

# isTrivialMackeyFunctor -- checks if a Mackey functor is trivial or not

- Usage:
    `isTrivialMackeyFunctor M`
- Inputs:
  - M, a C_p Mackey Functor,
- Outputs:
  - a Boolean value, whether $M$ is trivial or not

## Description

Checks whether $M$ is trivial (meaning isomorphic to the zero Mackey functor).

## See also

- background on Mackey functors -- a brief mathematical intro to the theory of Mackey functors
- makeZeroMackeyFunctor -- constructs the zero Mackey functor for the group

## Ways to use isTrivialMackeyFunctor:

- `isTrivialMackeyFunctor(CpMackeyFunctor)`

## For the programmer

The object isTrivialMackeyFunctor is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/CpMackeyFunctors/Documentation/HomomorphismsDoc.m2:321:0.